diff --git a/games/knetwalk/Makefile b/games/knetwalk/Makefile
index 4b02e4bf7785..3882379765af 100644
--- a/games/knetwalk/Makefile
+++ b/games/knetwalk/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/knetwalk/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
 		guiaddons i18n iconthemes itemviews kio libkdegames \
 		notifyconfig sonnet textwidgets widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/knetwalk/distinfo b/games/knetwalk/distinfo
index 63222055c89e..db54ee224ba7 100644
--- a/games/knetwalk/distinfo
+++ b/games/knetwalk/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889384
-SHA256 (KDE/release-service/23.08.5/knetwalk-23.08.5.tar.xz) = 0b3bb9af3ce4ce4f439a9aebc815b17aad95d7376c411a995f8a11c640318734
-SIZE (KDE/release-service/23.08.5/knetwalk-23.08.5.tar.xz) = 1106916
+TIMESTAMP = 1734460156
+SHA256 (KDE/release-service/24.12.0/knetwalk-24.12.0.tar.xz) = b933cf1f67b917a618e2aad6aaf26aae3d965f0879126b7991b64f124d536014
+SIZE (KDE/release-service/24.12.0/knetwalk-24.12.0.tar.xz) = 1010352
diff --git a/games/knetwalk/pkg-plist b/games/knetwalk/pkg-plist
index 5eceff6fe9bf..240f3ae57249 100644
--- a/games/knetwalk/pkg-plist
+++ b/games/knetwalk/pkg-plist
@@ -24,6 +24,7 @@ share/icons/hicolor/scalable/apps/knetwalk.svgz
 %%DATADIR%%/themes/electronic.svgz
 %%DATADIR%%/themes/electronic_preview.png
 share/locale/ar/LC_MESSAGES/knetwalk.mo
+share/locale/ast/LC_MESSAGES/knetwalk.mo
 share/locale/be/LC_MESSAGES/knetwalk.mo
 share/locale/bg/LC_MESSAGES/knetwalk.mo
 share/locale/br/LC_MESSAGES/knetwalk.mo
@@ -51,6 +52,7 @@ share/locale/hi/LC_MESSAGES/knetwalk.mo
 share/locale/hne/LC_MESSAGES/knetwalk.mo
 share/locale/hr/LC_MESSAGES/knetwalk.mo
 share/locale/hu/LC_MESSAGES/knetwalk.mo
+share/locale/ia/LC_MESSAGES/knetwalk.mo
 share/locale/id/LC_MESSAGES/knetwalk.mo
 share/locale/is/LC_MESSAGES/knetwalk.mo
 share/locale/it/LC_MESSAGES/knetwalk.mo
diff --git a/games/knights/Makefile b/games/knights/Makefile
index 365be9ad3a2b..cccbe1b7456a 100644
--- a/games/knights/Makefile
+++ b/games/knights/Makefile
@@ -10,15 +10,12 @@ RUN_DEPENDS=	${LOCALBASE}/bin/gnuchess:games/gnuchess
 
 LICENSE=	GPLv2
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons i18n libkdegames package plasma-framework plotting \
-		service solid sonnet textwidgets wallet widgetsaddons xmlgui \
+		dbusaddons i18n libkdegames libplasma package plotting service \
+		solid sonnet textwidgets wallet widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network speech svg \
-		widgets xml \
-		buildtools:build qmake:build
-
+USE_QT=		base declarative
 OPTIONS_DEFINE=	DOCS
 
 .include <bsd.port.mk>
diff --git a/games/knights/distinfo b/games/knights/distinfo
index 7f43155b9e41..fd3bffeb67f6 100644
--- a/games/knights/distinfo
+++ b/games/knights/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889397
-SHA256 (KDE/release-service/23.08.5/knights-23.08.5.tar.xz) = 5633236fca8183614f148f3995c6ff71719234dab35c27ee3714842f321bbe83
-SIZE (KDE/release-service/23.08.5/knights-23.08.5.tar.xz) = 3334500
+TIMESTAMP = 1734460158
+SHA256 (KDE/release-service/24.12.0/knights-24.12.0.tar.xz) = afd253ce77a8b71395dfaffacd4180bbab217871c3da6ccacce7197fad18139b
+SIZE (KDE/release-service/24.12.0/knights-24.12.0.tar.xz) = 2490152
diff --git a/games/knights/pkg-plist b/games/knights/pkg-plist
index fad4b44f9df7..db1b09a566d2 100644
--- a/games/knights/pkg-plist
+++ b/games/knights/pkg-plist
@@ -26,8 +26,8 @@ share/icons/hicolor/64x64/apps/knights.png
 %%DATADIR%%/themes/xboard2.png
 %%DATADIR%%/themes/xboard2.svgz
 share/knsrcfiles/knights.knsrc
-share/kxmlgui5/knights/knightsui.rc
 share/locale/ar/LC_MESSAGES/knights.mo
+share/locale/ast/LC_MESSAGES/knights.mo
 share/locale/bg/LC_MESSAGES/knights.mo
 share/locale/bs/LC_MESSAGES/knights.mo
 share/locale/ca/LC_MESSAGES/knights.mo
@@ -46,7 +46,9 @@ share/locale/fi/LC_MESSAGES/knights.mo
 share/locale/fr/LC_MESSAGES/knights.mo
 share/locale/ga/LC_MESSAGES/knights.mo
 share/locale/gl/LC_MESSAGES/knights.mo
+share/locale/he/LC_MESSAGES/knights.mo
 share/locale/hu/LC_MESSAGES/knights.mo
+share/locale/ia/LC_MESSAGES/knights.mo
 share/locale/id/LC_MESSAGES/knights.mo
 share/locale/it/LC_MESSAGES/knights.mo
 share/locale/ja/LC_MESSAGES/knights.mo
@@ -54,6 +56,7 @@ share/locale/ka/LC_MESSAGES/knights.mo
 share/locale/km/LC_MESSAGES/knights.mo
 share/locale/ko/LC_MESSAGES/knights.mo
 share/locale/lt/LC_MESSAGES/knights.mo
+share/locale/lv/LC_MESSAGES/knights.mo
 share/locale/ml/LC_MESSAGES/knights.mo
 share/locale/mr/LC_MESSAGES/knights.mo
 share/locale/nb/LC_MESSAGES/knights.mo
@@ -78,4 +81,5 @@ share/locale/uk/LC_MESSAGES/knights.mo
 share/locale/zh_CN/LC_MESSAGES/knights.mo
 share/locale/zh_TW/LC_MESSAGES/knights.mo
 share/metainfo/org.kde.knights.appdata.xml
-share/qlogging-categories5/knights.categories
+share/qlogging-categories6/knights.categories
+share/qlogging-categories6/knights.renamecategories
diff --git a/games/kolf/Makefile b/games/kolf/Makefile
index e245627481cb..04f718bdc8ec 100644
--- a/games/kolf/Makefile
+++ b/games/kolf/Makefile
@@ -6,16 +6,15 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kolf/
 
-USES=		cmake compiler:c++11-lang desktop-file-utils kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		pkgconfig qt:6 tar:xz
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons guiaddons i18n iconthemes \
-		itemviews jobwidgets kdelibs4support kio libkdegames \
-		notifications parts phonon service solid sonnet textwidgets \
-		unitconversion widgetsaddons windowsystem xmlgui \
+		itemviews jobwidgets kio libkdegames notifications parts \
+		phonon service solid sonnet textwidgets unitconversion \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network printsupport \
-		widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 USE_LDCONFIG=	yes
 
diff --git a/games/kolf/distinfo b/games/kolf/distinfo
index 556519e2f62b..9ac98760fdd6 100644
--- a/games/kolf/distinfo
+++ b/games/kolf/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889394
-SHA256 (KDE/release-service/23.08.5/kolf-23.08.5.tar.xz) = 98218c37fb98d514de6457c5981132351b122e705902fd85f96a2948ef6ad5b1
-SIZE (KDE/release-service/23.08.5/kolf-23.08.5.tar.xz) = 1076364
+TIMESTAMP = 1734460160
+SHA256 (KDE/release-service/24.12.0/kolf-24.12.0.tar.xz) = 76e7cac3e5a45a12774e976f576c65562204162718b59ff113f044df84c997af
+SIZE (KDE/release-service/24.12.0/kolf-24.12.0.tar.xz) = 1080020
diff --git a/games/kolf/pkg-plist b/games/kolf/pkg-plist
index ca0e63aa6429..5da03164629d 100644
--- a/games/kolf/pkg-plist
+++ b/games/kolf/pkg-plist
@@ -16,7 +16,6 @@ share/icons/hicolor/scalable/apps/kolf.svgz
 %%DATADIR%%/courses/ReallyEasy
 %%DATADIR%%/courses/USApro
 %%DATADIR%%/intro
-%%DATADIR%%/pics/default_theme.svgz
 %%DATADIR%%/sounds/blackhole.wav
 %%DATADIR%%/sounds/blackholeeject.wav
 %%DATADIR%%/sounds/blackholeputin.wav
@@ -27,11 +26,12 @@ share/icons/hicolor/scalable/apps/kolf.svgz
 %%DATADIR%%/sounds/puddle.wav
 %%DATADIR%%/sounds/wall.wav
 %%DATADIR%%/sounds/woohoo.wav
+%%DATADIR%%/themes/default.svgz
 %%DATADIR%%/tutorial.kolf
 %%DATADIR%%/tutorial.kolfgame
-share/kxmlgui5/kolf/kolfui.rc
 share/locale/af/LC_MESSAGES/kolf.mo
 share/locale/ar/LC_MESSAGES/kolf.mo
+share/locale/ast/LC_MESSAGES/kolf.mo
 share/locale/be/LC_MESSAGES/kolf.mo
 share/locale/bg/LC_MESSAGES/kolf.mo
 share/locale/br/LC_MESSAGES/kolf.mo
@@ -58,6 +58,7 @@ share/locale/hi/LC_MESSAGES/kolf.mo
 share/locale/hne/LC_MESSAGES/kolf.mo
 share/locale/hr/LC_MESSAGES/kolf.mo
 share/locale/hu/LC_MESSAGES/kolf.mo
+share/locale/ia/LC_MESSAGES/kolf.mo
 share/locale/is/LC_MESSAGES/kolf.mo
 share/locale/it/LC_MESSAGES/kolf.mo
 share/locale/ja/LC_MESSAGES/kolf.mo
diff --git a/games/kollision/Makefile b/games/kollision/Makefile
index 2fbd6c25b89b..1548dee1e797 100644
--- a/games/kollision/Makefile
+++ b/games/kollision/Makefile
@@ -6,13 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kollision/
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
 		i18n kio libkdegames newstuff notifyconfig phonon textwidgets \
 		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kollision/distinfo b/games/kollision/distinfo
index 71fe6d299db5..c378bd13d5c4 100644
--- a/games/kollision/distinfo
+++ b/games/kollision/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889377
-SHA256 (KDE/release-service/23.08.5/kollision-23.08.5.tar.xz) = ff079313fae5d86afd6dfe22cd5f324472604d8f7ef40ef07de006557d755595
-SIZE (KDE/release-service/23.08.5/kollision-23.08.5.tar.xz) = 308616
+TIMESTAMP = 1734460161
+SHA256 (KDE/release-service/24.12.0/kollision-24.12.0.tar.xz) = af5c190158df17b486b8a2bfa71ee3c435f017cd7a5c6332406994e2a53ee789
+SIZE (KDE/release-service/24.12.0/kollision-24.12.0.tar.xz) = 312000
diff --git a/games/kollision/pkg-plist b/games/kollision/pkg-plist
index ed4a4f2707d5..dcd0f8fdadda 100644
--- a/games/kollision/pkg-plist
+++ b/games/kollision/pkg-plist
@@ -12,12 +12,13 @@ share/icons/oxygen/22x22/apps/kollision.png
 share/icons/oxygen/32x32/apps/kollision.png
 share/icons/oxygen/48x48/apps/kollision.png
 share/icons/oxygen/64x64/apps/kollision.png
-%%DATADIR%%/pictures/theme.svgz
 %%DATADIR%%/sounds/ball_leaving.ogg
 %%DATADIR%%/sounds/hit_wall.ogg
 %%DATADIR%%/sounds/start.ogg
 %%DATADIR%%/sounds/you_lose.ogg
+%%DATADIR%%/themes/default.svgz
 share/locale/ar/LC_MESSAGES/kollision.mo
+share/locale/ast/LC_MESSAGES/kollision.mo
 share/locale/bg/LC_MESSAGES/kollision.mo
 share/locale/bs/LC_MESSAGES/kollision.mo
 share/locale/ca/LC_MESSAGES/kollision.mo
@@ -36,8 +37,10 @@ share/locale/fr/LC_MESSAGES/kollision.mo
 share/locale/ga/LC_MESSAGES/kollision.mo
 share/locale/gl/LC_MESSAGES/kollision.mo
 share/locale/gu/LC_MESSAGES/kollision.mo
+share/locale/he/LC_MESSAGES/kollision.mo
 share/locale/hr/LC_MESSAGES/kollision.mo
 share/locale/hu/LC_MESSAGES/kollision.mo
+share/locale/ia/LC_MESSAGES/kollision.mo
 share/locale/id/LC_MESSAGES/kollision.mo
 share/locale/is/LC_MESSAGES/kollision.mo
 share/locale/it/LC_MESSAGES/kollision.mo
diff --git a/games/konquest/Makefile b/games/konquest/Makefile
index a275154f0006..35aa89ece0f1 100644
--- a/games/konquest/Makefile
+++ b/games/konquest/Makefile
@@ -6,13 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/konquest/
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs config configwidgets coreaddons crash \
-		dbusaddons guiaddons i18n libkdegames widgetsaddons \
-		xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs config configwidgets coreaddons crash dbusaddons \
+		guiaddons i18n libkdegames widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative scxml
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/konquest/distinfo b/games/konquest/distinfo
index 67c2055c044b..fb23b5310a5d 100644
--- a/games/konquest/distinfo
+++ b/games/konquest/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889401
-SHA256 (KDE/release-service/23.08.5/konquest-23.08.5.tar.xz) = a980e70a425516723798eafaafb01866fb0d3a17b66bae0a64a557a6eaa70430
-SIZE (KDE/release-service/23.08.5/konquest-23.08.5.tar.xz) = 876844
+TIMESTAMP = 1734460163
+SHA256 (KDE/release-service/24.12.0/konquest-24.12.0.tar.xz) = 52bfa3f000430852b116b717d2774661eb63ae2cd7e0dfd91018b5808b5f3fe9
+SIZE (KDE/release-service/24.12.0/konquest-24.12.0.tar.xz) = 861264
diff --git a/games/konquest/pkg-plist b/games/konquest/pkg-plist
index 3b0702a053c2..95185375d840 100644
--- a/games/konquest/pkg-plist
+++ b/games/konquest/pkg-plist
@@ -10,6 +10,7 @@ share/icons/hicolor/64x64/apps/konquest.png
 %%DATADIR%%/pics/konquest-splash.png
 share/locale/af/LC_MESSAGES/konquest.mo
 share/locale/ar/LC_MESSAGES/konquest.mo
+share/locale/ast/LC_MESSAGES/konquest.mo
 share/locale/be/LC_MESSAGES/konquest.mo
 share/locale/bg/LC_MESSAGES/konquest.mo
 share/locale/br/LC_MESSAGES/konquest.mo
@@ -36,6 +37,7 @@ share/locale/hi/LC_MESSAGES/konquest.mo
 share/locale/hne/LC_MESSAGES/konquest.mo
 share/locale/hr/LC_MESSAGES/konquest.mo
 share/locale/hu/LC_MESSAGES/konquest.mo
+share/locale/ia/LC_MESSAGES/konquest.mo
 share/locale/is/LC_MESSAGES/konquest.mo
 share/locale/it/LC_MESSAGES/konquest.mo
 share/locale/ja/LC_MESSAGES/konquest.mo
diff --git a/games/kpat/Makefile b/games/kpat/Makefile
index 5f9cd7f40bbe..7ad2d7b4ab13 100644
--- a/games/kpat/Makefile
+++ b/games/kpat/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kpat
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	games kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -10,15 +9,14 @@ WWW=		http://www.kde.org/applications/games/kpatience/
 LIB_DEPENDS=	libfreecell-solver.so:games/freecell-solver \
 		libblack_hole_solver.so:games/black-hole-solver
 
-USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:5 pkgconfig \
-		qt:5 shared-mime-info tar:xz
+USES=		cmake compiler:c++11-lang desktop-file-utils gettext kde:6 \
+		pkgconfig qt:6 shared-mime-info tar:xz
 USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
 		crash dbusaddons guiaddons i18n iconthemes itemviews \
-		kdeclarative kio libkdegames newstuff notifyconfig phonon service \
-		textwidgets widgetsaddons xmlgui \
+		kdeclarative kio libkdegames newstuff notifyconfig phonon \
+		service textwidgets widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base declarative
 CMAKE_ON=	WITH_BH_SOLVER
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/kpat/distinfo b/games/kpat/distinfo
index 311875aa8f06..0c748fbc7b08 100644
--- a/games/kpat/distinfo
+++ b/games/kpat/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889394
-SHA256 (KDE/release-service/23.08.5/kpat-23.08.5.tar.xz) = d5ccd09a228faa63fe5fff55fd95f85aa01d0346751e384c74cfab26c9a431bf
-SIZE (KDE/release-service/23.08.5/kpat-23.08.5.tar.xz) = 3755860
+TIMESTAMP = 1734460165
+SHA256 (KDE/release-service/24.12.0/kpat-24.12.0.tar.xz) = 4be3ebe62d2777b7f53d6065b540d2be52aeb41969427b3caa9d5cab15138b02
+SIZE (KDE/release-service/24.12.0/kpat-24.12.0.tar.xz) = 3736404
diff --git a/games/kpat/pkg-plist b/games/kpat/pkg-plist
index 63ea5fb74714..06cb96570eeb 100644
--- a/games/kpat/pkg-plist
+++ b/games/kpat/pkg-plist
@@ -42,6 +42,7 @@ share/knsrcfiles/kpat.knsrc
 %%DATADIR%%/themes/royalhearts.svgz
 share/locale/af/LC_MESSAGES/kpat.mo
 share/locale/ar/LC_MESSAGES/kpat.mo
+share/locale/ast/LC_MESSAGES/kpat.mo
 share/locale/be/LC_MESSAGES/kpat.mo
 share/locale/bg/LC_MESSAGES/kpat.mo
 share/locale/br/LC_MESSAGES/kpat.mo
@@ -69,6 +70,7 @@ share/locale/hi/LC_MESSAGES/kpat.mo
 share/locale/hne/LC_MESSAGES/kpat.mo
 share/locale/hr/LC_MESSAGES/kpat.mo
 share/locale/hu/LC_MESSAGES/kpat.mo
+share/locale/ia/LC_MESSAGES/kpat.mo
 share/locale/id/LC_MESSAGES/kpat.mo
 share/locale/is/LC_MESSAGES/kpat.mo
 share/locale/it/LC_MESSAGES/kpat.mo
@@ -125,8 +127,10 @@ share/man/nl/man6/kpat.6.gz
 share/man/pt/man6/kpat.6.gz
 share/man/pt_BR/man6/kpat.6.gz
 share/man/ru/man6/kpat.6.gz
+share/man/sl/man6/kpat.6.gz
 share/man/sv/man6/kpat.6.gz
 share/man/uk/man6/kpat.6.gz
 share/metainfo/org.kde.kpat.appdata.xml
 share/mime/packages/kpatience.xml
-share/qlogging-categories5/kpat.categories
+share/qlogging-categories6/kpat.categories
+share/qlogging-categories6/kpat.renamecategories
diff --git a/games/kreversi/Makefile b/games/kreversi/Makefile
index 72690d092dc3..f024f9e534e3 100644
--- a/games/kreversi/Makefile
+++ b/games/kreversi/Makefile
@@ -6,14 +6,13 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kreversi/
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons i18n iconthemes itemviews \
-		jobwidgets kdeclarative kio libkdegames package service \
-		solid widgetsaddons windowsystem xmlgui \
+		jobwidgets kdeclarative kio libkdegames package service solid \
+		widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base declarative
 USE_XORG=	x11
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/kreversi/distinfo b/games/kreversi/distinfo
index 33ac561d3ae7..e44b9b270c07 100644
--- a/games/kreversi/distinfo
+++ b/games/kreversi/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889396
-SHA256 (KDE/release-service/23.08.5/kreversi-23.08.5.tar.xz) = c0fb6b03a798e82ec01e236e6a0f1e788a004080598ab336bff27bc955ecadd5
-SIZE (KDE/release-service/23.08.5/kreversi-23.08.5.tar.xz) = 1079904
+TIMESTAMP = 1734460166
+SHA256 (KDE/release-service/24.12.0/kreversi-24.12.0.tar.xz) = f0319f8b14ec338984dc238c366f7263049a2401fa587481a8f9776c46131d3e
+SIZE (KDE/release-service/24.12.0/kreversi-24.12.0.tar.xz) = 1033560
diff --git a/games/kreversi/pkg-plist b/games/kreversi/pkg-plist
index 673b90beed2e..acf48d0c5c86 100644
--- a/games/kreversi/pkg-plist
+++ b/games/kreversi/pkg-plist
@@ -16,9 +16,7 @@ share/icons/hicolor/48x48/apps/kreversi.png
 share/icons/hicolor/64x64/apps/kreversi.png
 share/icons/hicolor/scalable/actions/lastmoves.svgz
 share/icons/hicolor/scalable/actions/legalmoves.svgz
-share/knotifications5/kreversi.notifyrc
-%%DATADIR%%/pics/default_theme.desktop
-%%DATADIR%%/pics/default_theme.svgz
+share/knotifications6/kreversi.notifyrc
 %%DATADIR%%/qml/Board.qml
 %%DATADIR%%/qml/CanvasItem.qml
 %%DATADIR%%/qml/Cell.qml
@@ -28,8 +26,11 @@ share/knotifications5/kreversi.notifyrc
 %%DATADIR%%/qml/globals.js
 %%DATADIR%%/sounds/reversi-click.wav
 %%DATADIR%%/sounds/reversi-won.wav
+%%DATADIR%%/themes/default.desktop
+%%DATADIR%%/themes/default.svgz
 share/locale/af/LC_MESSAGES/kreversi.mo
 share/locale/ar/LC_MESSAGES/kreversi.mo
+share/locale/ast/LC_MESSAGES/kreversi.mo
 share/locale/be/LC_MESSAGES/kreversi.mo
 share/locale/bg/LC_MESSAGES/kreversi.mo
 share/locale/bn/LC_MESSAGES/kreversi.mo
@@ -57,6 +58,7 @@ share/locale/hi/LC_MESSAGES/kreversi.mo
 share/locale/hne/LC_MESSAGES/kreversi.mo
 share/locale/hr/LC_MESSAGES/kreversi.mo
 share/locale/hu/LC_MESSAGES/kreversi.mo
+share/locale/ia/LC_MESSAGES/kreversi.mo
 share/locale/id/LC_MESSAGES/kreversi.mo
 share/locale/is/LC_MESSAGES/kreversi.mo
 share/locale/it/LC_MESSAGES/kreversi.mo
diff --git a/games/kshisen/Makefile b/games/kshisen/Makefile
index f32e565ea2bf..190b5875a39e 100644
--- a/games/kshisen/Makefile
+++ b/games/kshisen/Makefile
@@ -6,15 +6,14 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kshisen/
 
-LIB_DEPENDS=	libKF5KMahjongglib.so:games/libkmahjongg
+LIB_DEPENDS=	libKMahjongg6.so:games/libkmahjongg
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		dbusaddons dnssd i18n kdeclarative kio libkdegames \
-		newstuff widgetsaddons xmlgui \
+		dbusaddons dnssd i18n kdeclarative kio libkdegames newstuff \
+		widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kshisen/distinfo b/games/kshisen/distinfo
index d027ad9b6849..e16cb824dfc3 100644
--- a/games/kshisen/distinfo
+++ b/games/kshisen/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889404
-SHA256 (KDE/release-service/23.08.5/kshisen-23.08.5.tar.xz) = f2e7e804c720a1e89401e656204c2b1b9b4cff7458be0878d4bd6fc55eb546f5
-SIZE (KDE/release-service/23.08.5/kshisen-23.08.5.tar.xz) = 1010444
+TIMESTAMP = 1734460168
+SHA256 (KDE/release-service/24.12.0/kshisen-24.12.0.tar.xz) = c50e9914a0573c6dcab8ebea2d181522cf677059eaa341a1923d4529c37c267b
+SIZE (KDE/release-service/24.12.0/kshisen-24.12.0.tar.xz) = 972480
diff --git a/games/kshisen/pkg-plist b/games/kshisen/pkg-plist
index a15161e02074..d2ab517746a9 100644
--- a/games/kshisen/pkg-plist
+++ b/games/kshisen/pkg-plist
@@ -9,6 +9,7 @@ share/icons/hicolor/48x48/apps/kshisen.png
 share/icons/hicolor/64x64/apps/kshisen.png
 share/locale/af/LC_MESSAGES/kshisen.mo
 share/locale/ar/LC_MESSAGES/kshisen.mo
+share/locale/ast/LC_MESSAGES/kshisen.mo
 share/locale/be/LC_MESSAGES/kshisen.mo
 share/locale/bg/LC_MESSAGES/kshisen.mo
 share/locale/bn/LC_MESSAGES/kshisen.mo
@@ -36,6 +37,7 @@ share/locale/hi/LC_MESSAGES/kshisen.mo
 share/locale/hne/LC_MESSAGES/kshisen.mo
 share/locale/hr/LC_MESSAGES/kshisen.mo
 share/locale/hu/LC_MESSAGES/kshisen.mo
+share/locale/ia/LC_MESSAGES/kshisen.mo
 share/locale/id/LC_MESSAGES/kshisen.mo
 share/locale/is/LC_MESSAGES/kshisen.mo
 share/locale/it/LC_MESSAGES/kshisen.mo
@@ -81,6 +83,6 @@ share/locale/xh/LC_MESSAGES/kshisen.mo
 share/locale/zh_CN/LC_MESSAGES/kshisen.mo
 share/locale/zh_TW/LC_MESSAGES/kshisen.mo
 share/metainfo/org.kde.kshisen.appdata.xml
-share/qlogging-categories5/kshisen.categories
+share/qlogging-categories6/kshisen.categories
 share/sounds/kshisen/tile-fall-tile.ogg
 share/sounds/kshisen/tile-touch.ogg
diff --git a/games/ksirk/Makefile b/games/ksirk/Makefile
index 714b9721d9bf..c4cb128a1e67 100644
--- a/games/ksirk/Makefile
+++ b/games/ksirk/Makefile
@@ -6,14 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/ksirk/
 
-USES=		cmake compiler:c++11-lang kde:5 qca qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qca qt:6 tar:xz
 USE_KDE=	attica auth codecs completion config configwidgets coreaddons \
-		crash i18n iconthemes kio libkdegames newstuff phonon service wallet \
-		widgetsaddons xmlgui \
+		crash i18n iconthemes kio libkdegames newstuff phonon service \
+		wallet widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus declarative gui network svg \
-		widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base declarative
 USE_LDCONFIG=	yes
 
 OPTIONS_DEFINE=	DOCS
diff --git a/games/ksirk/distinfo b/games/ksirk/distinfo
index 897d8c32d06d..6b68a16300a2 100644
--- a/games/ksirk/distinfo
+++ b/games/ksirk/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889383
-SHA256 (KDE/release-service/23.08.5/ksirk-23.08.5.tar.xz) = 6a34035c59f7710e291990b90d4c6e9612bb5c6fd46468cdc24ba969f6b7ef65
-SIZE (KDE/release-service/23.08.5/ksirk-23.08.5.tar.xz) = 7082556
+TIMESTAMP = 1734460170
+SHA256 (KDE/release-service/24.12.0/ksirk-24.12.0.tar.xz) = 0b0cf308a5ef3b091ccc9a88c75c1d148469d6d4fba2e47fbdc10d55bae2097c
+SIZE (KDE/release-service/24.12.0/ksirk-24.12.0.tar.xz) = 6704232
diff --git a/games/ksirk/pkg-plist b/games/ksirk/pkg-plist
index 6367678bb78f..0f8c2b13ce39 100644
--- a/games/ksirk/pkg-plist
+++ b/games/ksirk/pkg-plist
@@ -1,8 +1,5 @@
 bin/ksirk
 bin/ksirkskineditor
-lib/libiris_ksirk.so
-lib/libiris_ksirk.so.2
-lib/libiris_ksirk.so.2.0.0
 share/applications/org.kde.ksirk.desktop
 share/applications/org.kde.ksirkskineditor.desktop
 share/config.kcfg/ksirksettings.kcfg
@@ -15,7 +12,6 @@ share/icons/hicolor/48x48/apps/ksirk.png
 share/icons/hicolor/64x64/apps/ksirk.png
 share/icons/hicolor/scalable/apps/ksirk.svgz
 share/knsrcfiles/ksirk.knsrc
-%%DATADIR%%/jabber.png
 %%DATADIR%%/skins/default/Data/world.desktop
 %%DATADIR%%/skins/default/Images/2DownArrow.png
 %%DATADIR%%/skins/default/Images/2UpArrow.png
@@ -55,9 +51,9 @@ share/knsrcfiles/ksirk.knsrc
 %%DATADIR%%/skins/skinsdir
 %%DATADIR%%skineditor/cross.png
 %%DATADIR%%skineditor/target.png
-share/kxmlgui5/ksirk/ksirkui.rc
-share/kxmlgui5/ksirkskineditor/ksirkskineditorui.rc
 share/locale/ar/LC_MESSAGES/ksirk.mo
+share/locale/ast/LC_MESSAGES/ksirk.mo
+share/locale/ast/LC_MESSAGES/ksirkskineditor.mo
 share/locale/be/LC_MESSAGES/ksirk.mo
 share/locale/bg/LC_MESSAGES/ksirk.mo
 share/locale/bg/LC_MESSAGES/ksirkskineditor.mo
@@ -92,12 +88,15 @@ share/locale/ga/LC_MESSAGES/ksirk.mo
 share/locale/ga/LC_MESSAGES/ksirkskineditor.mo
 share/locale/gl/LC_MESSAGES/ksirk.mo
 share/locale/gl/LC_MESSAGES/ksirkskineditor.mo
+share/locale/he/LC_MESSAGES/ksirk.mo
 share/locale/hi/LC_MESSAGES/ksirk.mo
 share/locale/hne/LC_MESSAGES/ksirk.mo
 share/locale/hr/LC_MESSAGES/ksirk.mo
 share/locale/hr/LC_MESSAGES/ksirkskineditor.mo
 share/locale/hu/LC_MESSAGES/ksirk.mo
 share/locale/hu/LC_MESSAGES/ksirkskineditor.mo
+share/locale/ia/LC_MESSAGES/ksirk.mo
+share/locale/ia/LC_MESSAGES/ksirkskineditor.mo
 share/locale/is/LC_MESSAGES/ksirk.mo
 share/locale/is/LC_MESSAGES/ksirkskineditor.mo
 share/locale/it/LC_MESSAGES/ksirk.mo
@@ -165,4 +164,5 @@ share/locale/zh_CN/LC_MESSAGES/ksirkskineditor.mo
 share/locale/zh_TW/LC_MESSAGES/ksirk.mo
 share/locale/zh_TW/LC_MESSAGES/ksirkskineditor.mo
 share/metainfo/org.kde.ksirk.appdata.xml
-share/qlogging-categories5/ksirk.categories
+share/qlogging-categories6/ksirk.categories
+share/qlogging-categories6/ksirk.renamecategories
diff --git a/games/ksnakeduel/Makefile b/games/ksnakeduel/Makefile
index 363b7448f20a..02a317c84395 100644
--- a/games/ksnakeduel/Makefile
+++ b/games/ksnakeduel/Makefile
@@ -6,13 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/ksnakeduel/
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		crash dbusaddons guiaddons i18n libkdegames \
-		widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
+		dbusaddons guiaddons i18n libkdegames widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/ksnakeduel/distinfo b/games/ksnakeduel/distinfo
index c33e678f92cf..c605eb9caaa2 100644
--- a/games/ksnakeduel/distinfo
+++ b/games/ksnakeduel/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889373
-SHA256 (KDE/release-service/23.08.5/ksnakeduel-23.08.5.tar.xz) = 8b4c71cd590a343743da77e9b89910666223112011881b37877fa2770be918f2
-SIZE (KDE/release-service/23.08.5/ksnakeduel-23.08.5.tar.xz) = 604216
+TIMESTAMP = 1734460172
+SHA256 (KDE/release-service/24.12.0/ksnakeduel-24.12.0.tar.xz) = a274f1bda9d9136a141d07a532a48b83da3c8a489ca74db797000fd0436b7188
+SIZE (KDE/release-service/24.12.0/ksnakeduel-24.12.0.tar.xz) = 578516
diff --git a/games/ksnakeduel/pkg-plist b/games/ksnakeduel/pkg-plist
index 57bd97341ad7..28f53fc7f7be 100644
--- a/games/ksnakeduel/pkg-plist
+++ b/games/ksnakeduel/pkg-plist
@@ -16,6 +16,7 @@ share/knsrcfiles/ksnakeduel.knsrc
 %%DATADIR%%/themes/neon.png
 %%DATADIR%%/themes/neon.svgz
 share/locale/ar/LC_MESSAGES/ksnakeduel.mo
+share/locale/ast/LC_MESSAGES/ksnakeduel.mo
 share/locale/bg/LC_MESSAGES/ksnakeduel.mo
 share/locale/bs/LC_MESSAGES/ksnakeduel.mo
 share/locale/ca/LC_MESSAGES/ksnakeduel.mo
@@ -33,9 +34,11 @@ share/locale/fi/LC_MESSAGES/ksnakeduel.mo
 share/locale/fr/LC_MESSAGES/ksnakeduel.mo
 share/locale/ga/LC_MESSAGES/ksnakeduel.mo
 share/locale/gl/LC_MESSAGES/ksnakeduel.mo
+share/locale/he/LC_MESSAGES/ksnakeduel.mo
 share/locale/hr/LC_MESSAGES/ksnakeduel.mo
 share/locale/hsb/LC_MESSAGES/ksnakeduel.mo
 share/locale/hu/LC_MESSAGES/ksnakeduel.mo
+share/locale/ia/LC_MESSAGES/ksnakeduel.mo
 share/locale/is/LC_MESSAGES/ksnakeduel.mo
 share/locale/it/LC_MESSAGES/ksnakeduel.mo
 share/locale/ja/LC_MESSAGES/ksnakeduel.mo
@@ -72,4 +75,4 @@ share/locale/uk/LC_MESSAGES/ksnakeduel.mo
 share/locale/zh_CN/LC_MESSAGES/ksnakeduel.mo
 share/locale/zh_TW/LC_MESSAGES/ksnakeduel.mo
 share/metainfo/org.kde.ksnakeduel.appdata.xml
-share/qlogging-categories5/ksnakeduel.categories
+share/qlogging-categories6/ksnakeduel.categories
diff --git a/games/kspaceduel/Makefile b/games/kspaceduel/Makefile
index 2faf92aa9e2d..33e6111f9d75 100644
--- a/games/kspaceduel/Makefile
+++ b/games/kspaceduel/Makefile
@@ -6,12 +6,11 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	${${PORTNAME:tu}_DESC}
 WWW=		https://www.kde.org/applications/games/kspaceduel/
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		crash dbusaddons i18n libkdegames widgetsaddons xmlgui \
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
+		dbusaddons i18n libkdegames widgetsaddons xmlgui \
 		ecm:build
-USE_QT=		core dbus declarative gui network svg widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base declarative
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/games/kspaceduel/distinfo b/games/kspaceduel/distinfo
index 17832a6c15fe..7789fd186ca9 100644
--- a/games/kspaceduel/distinfo
+++ b/games/kspaceduel/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889381
-SHA256 (KDE/release-service/23.08.5/kspaceduel-23.08.5.tar.xz) = 564bcbc0b8504ee1115739212763f43fad2ef1f3a6a271d12d40035a40f4c131
-SIZE (KDE/release-service/23.08.5/kspaceduel-23.08.5.tar.xz) = 662164
+TIMESTAMP = 1734460174
+SHA256 (KDE/release-service/24.12.0/kspaceduel-24.12.0.tar.xz) = 9d236e49f920f6a82a480d59c368d04221108a820ed2d64411def014ef16804b
+SIZE (KDE/release-service/24.12.0/kspaceduel-24.12.0.tar.xz) = 635408
diff --git a/games/kspaceduel/pkg-plist b/games/kspaceduel/pkg-plist
index 7f4ea098a712..649350287020 100644
--- a/games/kspaceduel/pkg-plist
+++ b/games/kspaceduel/pkg-plist
@@ -31,6 +31,7 @@ share/icons/hicolor/64x64/apps/kspaceduel.png
 %%DATADIR%%/sprites/playerinfo/win.png
 share/locale/af/LC_MESSAGES/kspaceduel.mo
 share/locale/ar/LC_MESSAGES/kspaceduel.mo
+share/locale/ast/LC_MESSAGES/kspaceduel.mo
 share/locale/be/LC_MESSAGES/kspaceduel.mo
 share/locale/bg/LC_MESSAGES/kspaceduel.mo
 share/locale/br/LC_MESSAGES/kspaceduel.mo
@@ -57,6 +58,7 @@ share/locale/hi/LC_MESSAGES/kspaceduel.mo
 share/locale/hne/LC_MESSAGES/kspaceduel.mo
 share/locale/hr/LC_MESSAGES/kspaceduel.mo
 share/locale/hu/LC_MESSAGES/kspaceduel.mo
+share/locale/ia/LC_MESSAGES/kspaceduel.mo
 share/locale/is/LC_MESSAGES/kspaceduel.mo
 share/locale/it/LC_MESSAGES/kspaceduel.mo
 share/locale/ja/LC_MESSAGES/kspaceduel.mo
